import { DEFAULT_ERROR } from '@/constants/errors';
import { bioEntityContentFixture } from '@/models/fixtures/bioEntityContentsFixture';
import { MultiSearchData } from '@/types/fetchDataState';
import { BioEntity, BioEntityContent } from '@/types/models';
import { BioEntityContentsState } from './bioEntity.types';

export const BIOENTITY_INITIAL_STATE_MOCK: BioEntityContentsState = {
  data: [],
  loading: 'idle',
  error: DEFAULT_ERROR,
  submapConnections: {
    data: [],
    loading: 'idle',
    error: DEFAULT_ERROR,
  },
};

export const BIO_ENTITY_LINKING_TO_SUBMAP: BioEntity = {
  ...bioEntityContentFixture.bioEntity,
  submodel: {
    mapId: 5052,
    type: 'DONWSTREAM_TARGETS',
  },
};

export const BIO_ENTITY_LINKING_TO_SUBMAP_DATA_MOCK: MultiSearchData<BioEntityContent[]>[] = [
  {
    data: [{ bioEntity: BIO_ENTITY_LINKING_TO_SUBMAP, perfect: false }],
    searchQueryElement: '',
    loading: 'succeeded',
    error: DEFAULT_ERROR,
  },
];
